0
$\begingroup$

Rosanswers logo

I'm working with ROS-Fuerte and eclipse. I want to make a package with the next dependencies

anjinsan@Erasmus:~/fuerte_workspace$ roscreate-pkg odometria roscpp std_msgs sensor_msgs opencv2 cv_bridge image_transport tf geometry_msgs image_geometry libviso2 message_filters nav_msgs pcl_ros std_srvs ros

and I get the next message

ERROR: dependency [libviso2] cannot be found

So i've tried to install it...

anjinsan@Erasmus:~/fuerte_workspace$ rosdep install libviso2

ERROR: Rosdep cannot find all required resources to answer your query Missing resource libviso2 ROS path [0]=/opt/ros/fuerte/share/ros ROS path [1]=/home/ellian/fuerte_workspace ROS path [2]=/home/ellian/fuerte_workspace/sandbox ROS path [3]=/opt/ros/fuerte/stacks ROS path [4]=/opt/ros/fuerte/share ROS path [5]=/opt/ros/fuerte/share/ros

What am I doing wrong?


Originally posted by Ellian Herrera on ROS Answers with karma: 3 on 2013-07-25

Post score: 0

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

libviso2 is not a binary or library that can be solved with a rosdep dependency. You can download and compile from [Github] a wrapper for ROS (https://github.com/srv/viso2) and work as if libviso2 was a ROS package.

In your ROS workspace type (you should have followed the tutorials about the rosws tool):

rosws set viso2 --git 'https://github.com/srv/viso2.git'
rosws update viso2
cd viso2
git checkout fuerte
rosmake

and then you are ready!


Originally posted by Miquel Massot with karma: 1471 on 2013-07-25

This answer was ACCEPTED on the original site

Post score: 0


Original comments

Comment by Ellian Herrera on 2013-07-26:
I'm new working with ROS. I've downloaded the folder, I'm not sure of what I have to do. Should I paste the folder "viso2_fuerte" in /opt/ros/fuerte/stacks and then run "make" in a terminal?

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.